<?
	$acao=$_POST["acao"];
	if ($acao=="cotacao") {

		/* Verifica qual é o sistema operacional do servidor para ajustar o cabeçalho de forma correta. Não alterar */
		if(PHP_OS == "Linux") $quebra_linha = "\n"; //Se for Linux
		elseif(PHP_OS == "WINNT") $quebra_linha = "\r\n"; // Se for Windows
		elseif(PHP_OS == "Darwin") $quebra_linha = "\r\n"; // Se for Windows
		else die(PHP_OS."Este script nao esta preparado para funcionar com o sistema operacional de seu servidor");

		$painel = "frontend";
		include("admin/brain.php");

		$cnpj = $_POST['cnpj'];
		$nome = $_POST['nome'];
		$email = $_POST['email'];
		$telefone = $_POST['telefone'];
		$origem = $_POST['origem'];
		$destino = $_POST['destino'];
		$peso = $_POST['peso'];
		$m3 = $_POST['m3'];
		$valor = $_POST['valor'];
		/* Destinatário */
		$to = $email_site;
		
		/* assunto */
		$subject = "Cota&ccedil;&atilde;o pelo Site";
		
		/* mensagem */
		$message = "
		<html>
		<head>
		<title>Cota&ccedil;&atilde;o pelo Site</title>
		<style type='text/css'>
		<!--
		.titulo {
			font-family: Verdana, Arial, Helvetica, sans-serif;
			font-size: 14px;
			font-weight: bold;
			color: #b29d02;
		}
		.texto {
			font-family: Verdana, Arial, Helvetica, sans-serif;
			font-size: 10px;
			color: #000000;
		}
		-->
		</style>
		</head>
		<body>
		<table width='100%' border='0' cellspacing='0' cellpadding='0' style='border-bottom:2px #999999 solid; margin-bottom:10px;'>
		  <tr>
			<td><span class='titulo'>Cota&ccedil;&atilde;o pelo Site</span></td>
		  </tr>
		</table>
		<span class='texto'><strong>CNPJ:</strong> $cnpj<br />
		<strong>Nome:</strong> $nome<br />
		<strong>Email:</strong> $email<br />
		<strong>Telefone:</strong> $telefone<br />
		<strong>Cidade de Origem:</strong> $origem<br />
		<strong>Cidade de Destino:</strong> $destino<br />
		<strong>Peso:</strong> $peso<br />
		<strong>&Aacute;rea (M&sup3;):</strong> $m3<br />
		<strong>Valor da Mercadoria:</strong> $valor
		</body>
		</html>
		";
		
		/* Atenção se você pretende inserir numa variável uma mensagem html mais
		 complexa do que essa sem precisar escapar os carateres
		 necessários pode ser feito o uso da sintaxe heredoc, consulte tipos-string-sintaxe-heredoc */
		
		/* Para enviar email HTML, você precisa definir o header Content-type. */
		$headers  = "MIME-Version: 1.1".$quebra_linha;
		$headers .= "Content-type: text/html; charset=utf-8".$quebra_linha;
		
		/* headers adicionais */
		$headers .= "From: $nome <$email_site>".$quebra_linha;
		$headers .= "Reply-To: $nome <$email>".$quebra_linha;
		
		/* Enviar o email */
		if (mail($to, $subject, $message, $headers)) {
			echo "Cotação enviada com sucesso!";
		} else {
			echo "Erro no envio. Tente mais tarde.";
		}
	} elseif ($acao=="cidade") {
		$painel = "frontend";
		include("admin/brain.php");
		
		sleep(1);
		
		#Faz a sele&ccedil;&atilde;o no banco para a listagem de TODO o conte&uacute;do
		$query_cidade = "SELECT * FROM cidades WHERE nome LIKE '".utf8_decode($_POST["cidade"])."%';";
		$resultado_cidade = mysql_query($query_cidade);
		$monta_select_cidade = mysql_fetch_array($resultado_cidade);
		$idUnidade=$monta_select_cidade["unidade"];

		if (!empty($idUnidade)) {
			$query_unidade = "SELECT * FROM unidades WHERE id='".$idUnidade."';";
			$resultado_unidade = mysql_query($query_unidade);
			$monta_select_unidade = mysql_fetch_array($resultado_unidade);
			echo "<h3 style='margin:20px;'>".$monta_select_unidade["nome"]."</h3>";
			if (!empty($monta_select_unidade["endereco"])) {
				echo "<p><b>Endereço:</b> ".utf8_encode($monta_select_unidade["endereco"])."</p>";
			}
			if (!empty($monta_select_unidade["bairro"])) {
				echo "<p><b>Bairro:</b> ".utf8_encode($monta_select_unidade["bairro"])."</p>";
			}
			if (!empty($monta_select_unidade["cep"])) {
				echo "<p><b>CEP:</b> ".$monta_select_unidade["cep"]."</p>";
			}
			if (!empty($monta_select_unidade["cidade"]) and !empty($monta_select_unidade["estado"])) {
				echo "<p><b>Cidade/UF:</b> ".utf8_encode($monta_select_unidade["cidade"])."/".$monta_select_unidade["estado"]."</p>";
			}
			if (!empty($monta_select_unidade["telefone"])) {
				echo "<p><b>Telefone:</b> ".$monta_select_unidade["telefone"]."</p>";
			}
			if (!empty($monta_select_unidade["email"])) {
				echo "<p><b>E-mail:</b> ".$monta_select_unidade["email"]."</p>";
			}
			if (!empty($monta_select_unidade["contato"])) {
				echo "<p><b>Contato:</b> ".utf8_encode($monta_select_unidade["contato"])."</p>";
			}
		} else {
			echo "<h3 style='margin:20px;'>Infelizmente não encontramos nenhuma unidade para a cidade que você digitou.</h3>
			<p>Caso prefira, entre em contato com a nossa matriz, através dos telefones abaixo, que lhe ajudaremos.</p>
			<p style='padding-bottom:40px;'>(54) 3261-1404 | (54) 3268-0397 | (54)3268-0693 | (54)3268-0235</p>";
		}

	}
?>